### Function

# Gsk ComponentTransfer new_gamma

since: 4.20

#### Declaration [src]

    GskComponentTransfer*
    gsk_component_transfer_new_gamma (
      float amp,
      float exp,
      float ofs
    )

#### Description [src]

Creates a new component transfer that applies a gamma transform.

The new value is computed as

    C' = amp * pow (C, exp) + ofs

.

Available since: 4.20

#### Parameters

`amp`

  Type: `float`

  Amplitude.

`exp`

  Type: `float`

  Exponent.

`ofs`

  Type: `float`

  Offset.

#### Return value

Type: `GskComponentTransfer`

A new `GskComponentTransfer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.